Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6903785

Plugin3: MultiJRE applets using jnlp fails to load using requested JRE

    XMLWordPrintable

    Details

    • Subcomponent:
    • CPU:
      generic
    • OS:
      windows

      Description

      Applets using jnlp can be forced to use desired JRE using <j2se> element e.g. <j2se href="http://java.sun.com/products/autodl/j2se" version="1.4.2*" />.
      This ables applet to use desired version of JRE but that's not true in case of plugin3. Applets always use the latest installed version(1.6.0_22 in this case)
      1) Install plugin3 bundles and also install JRE 5u22 and 1.4.2_20
      2) try to load following applets
      http://sqeweb.sfbay.sun.com/deployment2/jitu/deployment_mustang_exec_ws/deployment/src/plugin/MultiJRE/MultiJRE/html/auto/MultiJREFamily142150Installed/JREMutliFamilyJNLP.html
      http://sqeweb.sfbay.sun.com/deployment2/jitu/deployment_mustang_exec_ws/deployment/src/plugin/MultiJRE/MultiJRE/html/auto/MultiJRE142150SpecificInstalled/JREMutliFamilyJNLP.html
      One of the applet should be loaded using 1.4.2_20, one with 1.5.0_22 and one with 6u22, but if instead all the applets are using 1.6.0_22 then bug is reproduced.
      If Java console options is set to visible then 3 different Java consoles should get launched but that's not true as of now

        Attachments

          Activity

            People

            Assignee:
            dtitov Daniil Titov (Inactive)
            Reporter:
            jijising Jitender Singh (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Imported:
              Indexed: